<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/detail_root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/main_home_bg"
    android:orientation="vertical">

    <!-- 标签和横线布局 -->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_60dp"
        android:layout_marginTop="@dimen/d_86dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <!-- 资产名称和豆瓣评分等布局 -->
            <com.wasu.cs.ui.DetailResTitle
                android:id="@+id/detail_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
            <!-- 标签布局 -->
            <com.wasu.cs.ui.DetailIndicatorLinearlayout
                android:id="@+id/detail_indicator"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="right|bottom"
                android:layout_marginRight="@dimen/d_122dp"
                android:gravity="right|bottom"
                android:orientation="horizontal" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:layout_marginRight="@dimen/d_60dp"
            android:layout_marginTop="@dimen/d_9dp"
            android:background="#48ffffff" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="@dimen/d_60dp"
        android:contentDescription="详情信息显示"
        android:orientation="horizontal">

        <!-- 播放器 -->

        <LinearLayout
            android:layout_width="@dimen/d_467dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_56dp"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/detail_player"
                android:layout_width="@dimen/d_467dp"
                android:layout_height="@dimen/d_284dp"
                android:background="@drawable/common_bg_shadow_history"
                android:descendantFocusability="blocksDescendants"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:measureAllChildren="false"
                android:nextFocusUp="@id/detail_player"
                android:padding="@dimen/d_2dp">

                <!--<ImageView
                    android:id="@+id/player_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/detail_player_background"
                    android:visibility="gone" />

                <ImageView
                    android:id="@+id/detail_player_icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_gravity="center"
                    android:background="@drawable/icon_play"
                    android:scaleType="fitXY"
                    android:visibility="gone"/>-->
            </RelativeLayout>

            <TextView
                android:id="@+id/detail_coupon"
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_30dp"
                android:layout_marginTop="@dimen/d_9dp"
                android:text="本片支持观影券观看"
                android:textSize="@dimen/s_22sp"
                android:visibility="gone" />
            <!-- android:scrollbarThumbVertical="@color/yellow"
                            android:scrollbarSize="@dimen/d_1dp" -->
            <ScrollView
                android:id="@+id/detail_description_scroll"
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_135dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:nextFocusUp="@id/detail_player"
                android:scrollbars="none">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_4dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:text="导演："
                            android:textColor="@color/white"
                            android:textSize="@dimen/s_20sp" />

                        <TextView
                            android:id="@+id/detail_player_director"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:textColor="@color/textcolor_detail"
                            android:textSize="@dimen/s_20sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_9dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:text="主演："
                            android:textColor="@color/white"
                            android:textSize="@dimen/s_20sp" />

                        <TextView
                            android:id="@+id/detail_player_actor"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:singleLine="true"
                            android:textColor="@color/textcolor_detail"
                            android:textSize="@dimen/s_20sp" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/detail_player_description"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_9dp"
                        android:background="@drawable/selector_detail_description"
                        android:focusable="false"
                        android:focusableInTouchMode="false"
                        android:textColor="@color/textcolor_detail"
                        android:textSize="@dimen/s_20sp" />
                </LinearLayout>
            </ScrollView>
        </LinearLayout>


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <!-- 推荐内容 -->
            <com.wasu.widgets.focuswidget.FocusRecyclerView
                android:id="@+id/detail_recommendRrid"
                android:layout_width="@dimen/d_812dp"
                android:layout_height="@dimen/d_520dp"
                android:clickable="false"
                android:contentDescription="推荐"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:nextFocusLeft="@id/detail_ad"
                android:nextFocusUp="@id/detail_recommendRrid"
                android:numColumns="5"
                android:paddingBottom="@dimen/d_44dp"
                android:layout_marginLeft="@dimen/d_15dp"
                android:paddingRight="@dimen/d_40dp"
                android:paddingTop="@dimen/d_50dp" />

        </LinearLayout>

    </LinearLayout>

</LinearLayout>